-- TABELLA CONTATTI
CREATE TABLE AddressBook (
    idrub      		int4 unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT	,
    Nominativo  	varchar(200) NOT NULL                              	,
    N_fax       	varchar(20)                                        	,
    nickname    	varchar(100)                                       	,
    utente      	varchar(100) NOT NULL                              	,
    Referente   	varchar(200)                                       	,
    N_tel       	varchar(20)                                       	,
    Cellulare   	varchar(30)                                        	,
    Note_addr   	text                                               	,
    Indirizzo   	text                                               	,
    N_civico    	varchar(10)                                        	,
    Email       	text                                               	,
    Comune      	text                                               	,
    CAP         	text                                               	,
    Provincia   	text                                               	,
    Nazione     	text                                               	,
    PIVA        	varchar(20)                                        	,
    CodFiscale  	varchar(20)                                        	,
    SendPredefined   	smallint NOT NULL DEFAULT 1				,
    syncr        	text
);

-- TABELLA GRUPPI
CREATE TABLE Group_AddressBook (
    group_id    	int4 unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT	,
    group_name  	varchar(200) NOT NULL                              	,
    group_list_private 	text                                        		,
    group_list_public   text                                       		,
    utente      	varchar(100) NOT NULL                              	
);

-- TABELLA UTENTI (tipo == 2)
CREATE TABLE Utenti (
    utente              varchar(100) NOT NULL PRIMARY KEY  ,
    password            varchar(100) NOT NULL              ,
    exutente            varchar(200)                       ,
    tipo                tinyint unsigned NOT NULL          ,
    Nome                text NOT NULL                      ,
    Email               text NOT NULL                      ,
    Reparto             text                               ,
    Stabilimento        text                               ,
    Moderatore          varchar(200) DEFAULT 'no modered'  ,
    Tel_ufficio         varchar(20)                        ,
    Fax_ufficio         varchar(20)                        ,
    Modem               varchar(40)                        ,
    defaultprinter      varchar(200)                       ,
    Da_Email_a_Fax      int1 unsigned                      ,
    Fax2Email           int1 unsigned                      ,
    Ricerche_x_Reparto  int1 unsigned                      ,
    AbPublic            int4 unsigned                      ,
    FaxOUT              int1 unsigned                      ,
    LastPrinterFaxOUT   int4 unsigned                      
);