<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/
/* Local config overrides.
   You can override the config.php settings here.  Don't do it unless you know what you're doing.
   Use standard PHP syntax, see config.php for examples. */

//Indicare i files per la rubrica pubblica:
//e' possibile indicare un file per ogni dominio
//di appartenenza dell'utente:
//es: utente "marco@vale" -> dominio "vale" -> rubrica pubblica "global@vale.abook";

//I files della rubrica pubblica devono essere creati durante l'installazione!

//Nella variabile indicare i path e il nome parziale di tutte le rubriche pubbliche.
//Il programma in automatico aggiungera' la chiocciola, il dominio e l'estensione per
//il file di rubrica pubblica relativo al dominio dell'utente.

//Se non esiste neanche una rubrica pubblica (per nessun dominio) lasciare vuota la variabile,
//altrimenti indicare il path. 

//Nel caso in cui per qualche dominio il file di rubrica pubblica non esista, il programma si comporta come
//se per quel dominio la rubrica pubblica non esistesse.
//$address_book_global_filename = $data_dir."global";
$address_book_global_filename = $data_dir."global";

$max_file_addressbook_size = 50000;

//inserire i login degli utenti
//che potranno modificare la rubrica pubblica
//del loro dominio
$global_abook_master=array('');

// campi mostrati in rubrica
$show_fieldarrayabook = array("Nominativo","Referente","N_tel","N_fax");

// contact files
$fieldarrayabook = array(
    "idrub"		=> array( label => "Id"			, idfile => 0 , align => "left" ),
    "nickname" 		=> array( label => "Nickname"		, idfile => 1 , align => "left" ),
    "Nominativo" 	=> array( label => "Name"		, idfile => 2 , align => "left" ),
    "Referente" 	=> array( label => "Contact"		, idfile => 3 , align => "left" ),
    "Email" 		=> array( label => "Email"		, idfile => 4 , align => "left" ),
    "N_tel" 		=> array( label => "Tel"		, idfile => 5 , align => "right", functions => "GetVisualPhone" ),
    "Cellulare" 	=> array( label => "Cellulare"		, idfile => 6 , align => "right", functions => "GetVisualPhone" ),
    "N_fax" 		=> array( label => "Fax"		, idfile => 7 , align => "right", functions => "GetVisualPhone" ),
    "Indirizzo" 	=> array( label => "Street"		, idfile => 8 , align => "left" ),
    "N_civico" 		=> array( label => "Street Number"	, idfile => 9 , align => "left" ),
    "Comune" 		=> array( label => "City"		, idfile => 10 , align => "left" ),
    "CAP" 		=> array( label => "Zip Code"		, idfile => 11 , align => "left" ),
    "Provincia" 	=> array( label => "Country"		, idfile => 12 , align => "left" ),	
    "Nazione" 		=> array( label => "State"		, idfile => 13 , align => "left" ),
    "PIVA" 		=> array( label => "Vat Code"		, idfile => 14 , align => "left" ),
    "CodFiscale" 	=> array( label => "Fiscal Code"	, idfile => 15 , align => "left" ),
    "Note_addr" 	=> array( label => "Notes"		, idfile => 16 , align => "left" ),
    "SendPredefined" 	=> array( label => "Send Predefined"	, idfile => 17 , align => "left" ),
    "syncr" 		=> array( label => "Syncronize"		, idfile => 18 , align => "left" )
);

// campi mostrati in rubrica dei gruppi
$show_fieldarraygroupabook = array("group_name");

// group files
$fieldarraygroupabook = array(
    "group_id"			=> array( label => "Id"				, idfile => 0 , align => "left" ),
    "group_name" 		=> array( label => "Name"			, idfile => 1 , align => "left" ),
    "group_list_private" 	=> array( label => "Contact List Private"	, idfile => 2 , align => "left" ),
    "group_list_public" 	=> array( label => "Contact List Public"	, idfile => 3 , align => "left" ),
);

// se vuota la rete interna e' tutto il mondo
// altrimenti la rete interna e' solo la rete e gli IP indicati
$internal_net           = array();
// il file e' nel formato:
//login1 "\n\r"
//login2 "\n\r"
//login3 "\n\r"
//...
$file_external_net      = "/var/www/squirrel/data/external_net";

// cambio impostazioni personali:
// - 0 o '': nessuna interfaccia disponibile in opzioni per la modifica della password
// - 1: gli utenti di OverLook sono utenti di sistema: interfaccia in opzioni per la modifica della password
// - url di qmailadmin: si utilizza qmailadmin per le modifiche delle impostazioni personali
$qmlogin_cgi_url	= "/cgi-bin/qmailadmin";
// solo se si utilizza chpasswd per modificare password di utenti di sistema
// il file chpasswd.c allegato (in directory corrente) va compilato con i seguenti parametri (in alternativa):
// 1) gcc -lcrypt -O -o chpasswd chpasswd.c; chmod 4750 chpasswd; chown root:www-data chpasswd
// 2) gcc -Wall -lcrypt -O -o chpasswd chpasswd.c; chmod 4750 chpasswd; chown root:www-data chpasswd
// copiare il file chpasswd in /usr/bin o nel $PathChpwd specificato sotto ed eseguire nuovamente
// chmod 4750 chpasswd; chown root:www-data chpasswd.
// www-data e' il gruppo al quale appartiene l'utente di apache.
$minimumPasswordLength = 8;
$PathChpwd = '/usr/bin/chpasswd';

// aggiunge dominio di accesso al textfield del login nella pagina di login:
// 0 per non aggiungere;
// 1 per aggiungere;
// 2 per aggiungere cancellando la prima parte (solitamente www.)
$enable_set_domain = 2;

// &larr => freccia
$thread_symbol = "--";

// mostra icone in barre di navigazione
$icon_folder = 1;

// DEMO ONLINE
$demo_version = 0;
$demo_user = "";
$demo_password = "";
$link_download = $data_dir."overlook.tgz";

$use_pop3 = 1;

$use_banner = 0;
// timeout in millisecondi
$banner_timeout = 15000;
//imgs = width x height: 300 x 55
//     = devono essere inserite in /images/sponsor/
//$banners = array(
//    1 => array ( 'text' => '', 'img' => 'openit.gif', 'link' => 'http://www.openit.it' ),
//    2 => array ( 'text' => '', 'img' => '<myimage>.gif', 'link' => 'http://<myurl>' ),
//);