<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

/*
 * tnef_file_base.php
 *
 *  Bernd Wiegmann <bernd@wib-software.de>
 *  (c) 2003 (GNU GPL - see ../../COPYING)
 *
 */

/*
 *   $Header: /var/cvs-base/overlook/plugins/outlook/attachment_tnef/tnef_file_base.php,v 1.1 2004/02/02 14:00:13 marco Exp $
 *
 *   $Log: tnef_file_base.php,v $
 *   Revision 1.1  2004/02/02 14:00:13  marco
 *   Initial revision
 *
 *   Revision 1.1  2004/01/27 15:40:05  marco
 *   Inglobato in outlook plugin attachment_tnef: da testare. Sistemazione varia di interfaccia: altezza barra navigazione printer_friendly, larghezza immagini in barra navigazione di printer_friendly e compose
 *
 *   Revision 1.1  2004/01/23 16:36:18  marco
 *   Aggiunta di plugins. Aggiunta in opzioni personali possibilita' di link a sqmadmin.
 *
 *   Revision 1.1  2003/10/06 16:21:55  bernd
 *   Preparations for 0.6
 *
 *
 */

if (!defined('SM_PATH')) { define('SM_PATH','../../'); }

class TnefFileBase {
  var $name;
  var $type;
  var $content;
  var $created;
  var $modified;
  var $tnef_debug;

  function TnefFileBase($tnef_debug) {
    $this->name = "Untitled";
    $this->type = "application/octet-stream";
    $this->content = "";
    $this->tnef_debug = $tnef_debug;
  }

  function getName() {
    return $this->name;
  }

  function getType() {
    return $this->type;
  }

  function getSize() {
    return strlen($this->content);
  }

  function &getCreated() {
    return $this->created;
  }

  function &getModified() {
    return $this->modified;
  }

  function getContent() {
    return $this->content;
  }

}

?>