<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

/**
 * printer_friendly_top.php
 *
 * Copyright (c) 1999-2003 The SquirrelMail Project Team
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * top frame of printer_friendly_main.php
 * displays some javascript buttons for printing & closing
 *
 * $Id: printer_friendly_top.php,v 1.4 2004/05/03 13:44:04 marco Exp $
 */

/* Path for SquirrelMail required files. */
define('SM_PATH','../');

/* SquirrelMail required files. */
require_once(SM_PATH . 'include/validate.php');
require_once(SM_PATH . 'functions/strings.php');
require_once(SM_PATH . 'config/config.php');
require_once(SM_PATH . 'include/load_prefs.php');
require_once(SM_PATH . 'plugins/overlook/setup.php');
require_once(SM_PATH . 'functions/page_header.php');
require_once(SM_PATH . 'functions/mailbox_display.php');
require_once(SM_PATH . 'functions/printer_friendly_nav.php');
require_once(SM_PATH . 'functions/html.php');
require_once(SM_PATH . 'functions/imap.php');
require_once(SM_PATH . 'functions/global.php');

sqgetGlobalVar('base_uri',  $base_uri,      SQ_SESSION);
sqgetGlobalVar('delimiter', $delimiter,     SQ_SESSION);

sqgetGlobalVar('passed_id', $passed_id, SQ_GET);
sqgetGlobalVar('mailbox', $mailbox, SQ_GET);
sqgetGlobalVar('patermailbox', $patermailbox, SQ_GET);
sqgetGlobalVar('startMessage', $startMessage, SQ_GET);
sqgetGlobalVar('search', $search, SQ_GET);
 
if (! sqgetGlobalVar('passed_ent_id', $passed_ent_id, SQ_GET) ) {
    $passed_ent_id = '';
}

if ( sqgetGlobalVar('PG_SHOWNUM', $temp) ) {
  $show_num = (int) $temp;
}

global $custom_css;

$urlMailbox = urlencode($mailbox);

sqgetGlobalVar('key',       $key,           SQ_COOKIE);
sqgetGlobalVar('username',  $username,      SQ_SESSION);

$imapConnection = sqimap_login($username, $key, $imapServerAddress, $imapPort, 0);  
$mbx_response   = sqimap_mailbox_select($imapConnection, $mailbox, false, false, true);  
$message = sqimap_get_message($imapConnection, $passed_id, $mailbox); 

if ($passed_ent_id) {
    $message = &$message->getEntity($passed_ent_id);
}

$js ='<script language="javascript" type="text/javascript">
	    var urlc="'.$base_uri.'src/compose.php' .
                '?passed_id=' . $passed_id .
                '&mailbox=' . $urlMailbox .
                (isset($passed_ent_id)?'&passed_ent_id='.$passed_ent_id:'') .
		'&smaction=";
	    var flag_search = "'.$search.'";
	    var mailbox = "'.$mailbox.'";
	    var patermailbox = "'.$patermailbox.'";
    </script>'."\n";

if ($passed_ent_id) {
    displayHtmlHeader( _("Message Details Rfc822"), $js );
} else {
    displayHtmlHeader( _("Printer Friendly"), $js );
}
echo '<script language="javascript" type="text/javascript" src="'.$base_uri.'js/printer_friendly_top.js"></script>';

echo "<body onload=\"self.focus();\">\n";

displayNavigationPrint($mailbox,$passed_id,$passed_ent_id,$message);

echo '</body></html>'. "\n";

?>
