<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/
/**
 * cachepass.mod
 *-----------
 * GPG plugin passphrase collecting & caching module file,
 *
 * Copyright (c) 1999-2003 The SquirrelMail development team
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * Copyright (c) 2002-2003 Braverock Ventures
 *
 * $Id: cachepass.mod,v 1.11 2003/11/12 17:37:59 ke Exp $
 */

require_once(SM_PATH.'functions/global.php');
require_once(SM_PATH.'functions/forms.php');
require_once(SM_PATH.'plugins/gpg/gpg_functions.php');

global $pserr;

$psaction = $_POST['psaction'];
$addbasepath = $_POST['addbasepath'];

switch ($psaction) {
    case 'sign':
        $onload = 'gpg_sign_submit();';
        break;
    case 'signdraft':
        $onload = 'gpg_signdraft_submit();';
        break;
    case 'encrsign':
        $onload = 'gpg_encrsign_submit();';
        break;
    case 'decrypt':
        $onload = 'gpg_decrypt_submit();';
        break;
}

$passphrase = $_POST['passphrase'];
//check passphrase for default key
$return = gpg_verify_passphrase($passphrase);

if ($return['verified'] == 'false') {
    $pserr=_("Bad Passphrase.") . ' ' . _(" Please try again.");
    include(SM_PATH.'plugins/gpg/modules/passpop.mod');
} else {
    if ($passphrase != 'false' and gpg_is_passphrase_cacheable() and $return['verified']=='true') {
	gpg_set_cached_passphrase($passphrase);
	$passphrase = 'true';
    }

    echo "<script language=JavaScript>\n<!--\n\nvar addbasepath='$addbasepath';\n\n//-->\n</script>\n";
    echo '<script language="JavaScript" type="text/javascript" src="js/gpgsubmitpass.js"></script>';
    echo addForm('#', 'POST', 'main','multipart/form-data');
    echo addHidden('passphrase', true);
    echo '</form>';    
    echo "<script language=JavaScript>".$onload."</script>\n";
}

?>
