<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

/**
 * SquirrelMail Qmailadmin Login Plugin
 * Copyright (C) 2004 Tomas Kuliavas <tokul@users.sourceforge.net>
 * This program is licensed under GPL. See COPYING for details
 *
 * @version $Id: functions.php,v 1.2 2004/11/22 12:24:49 tokul Exp $
 * @package sm-plugins
 * @subpackage qmailadmin_login
 */

/* Path for SquirrelMail required files. */
define('SM_PATH','../../');

/* SquirrelMail required files. */
require_once(SM_PATH . 'include/validate.php');
require_once(SM_PATH . 'functions/page_header.php');
require_once(SM_PATH . 'include/load_prefs.php');
require_once(SM_PATH . 'functions/forms.php');
require_once(SM_PATH . 'functions/global.php');
require_once(SM_PATH . 'functions/options.php');

/* get globals */
sqgetGlobalVar('username', $username, SQ_SESSION);
sqgetGlobalVar('key', $key, SQ_COOKIE);
sqgetGlobalVar('onetimepad', $onetimepad, SQ_SESSION);
sqgetGlobalVar('delimiter', $delimiter, SQ_SESSION);
sqgetGlobalVar('base_uri', $base_uri,     SQ_SESSION); 

sqgetGlobalVar('action', $action, SQ_POST);

global $custom_css;

$optpage_name = _("MailAdmin");

//********************************* START HTML ****************************//

displayHtmlHeader(_("Options - MailAdmin"),'');
 
echo '<script language="javascript" type="text/javascript" src="'.$base_uri.'js/tips.js"></script>';

echo '<body>';
 
echo '<table class="border" valign="top" width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">';
 
ShowOptionBar();

echo '<tr valign="top"><td width="100%" class="nav" valign="top">';
    echo '<iframe name="qmailadmin" class="nav" width="100%" height="100%" frameborder="0"'
    .'src="' . $base_uri . "plugins/qmailadmin_login/qmail_login.php\"></iframe>";
    
echo '</td></tr>';
echo '</table>';
echo $echotips;
echo '</body></html>';
?>