<?php

/********************************************************************
 *   Autori:             Marco Colombo (marco@openit.it)
 *                       Valentina Portolan (valentina@openit.it)
 *                       Giuliano Natali Diaolin (diaolin@openit.it)
 *  Copyright:           Open It S.r.l.
 *                       Viale Dante, 78
 *                       38057 Pergine Valsugana (TN) ITALY
 *                       Tel: +39 0461 534800 Fax: +39 0461 538443
 *********************************************************************/

/**
 * printer_friendly_main.php
 *
 * Copyright (c) 1999-2003 The SquirrelMail Project Team
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * $Id: printer_friendly_main.php,v 1.1 2004/02/02 14:00:13 marco Exp $
 */

/* Path for SquirrelMail required files. */
define('SM_PATH','../');

/* SquirrelMail required files. */
require_once(SM_PATH . 'include/validate.php');
require_once(SM_PATH . 'functions/page_header.php');

sqgetGlobalVar('base_uri', $base_uri,     SQ_SESSION);

/* get those globals into gear */
if (isset($_GET['passed_ent_id'])) { $passed_ent_id = $_GET['passed_ent_id']; } else { $passed_ent_id=""; }
$passed_id = (int) $_GET['passed_id'];
$startMessage = (int) $_GET['startMessage'];
$mailbox = $_GET['mailbox'];
if (isset($_GET['patermailbox'])) { $patermailbox = $_GET['patermailbox']; } else { $patermailbox = ""; } 
if (isset($_GET['search'])) { $search = $_GET['search']; } else { $search = ""; }
/* end globals */

if ($passed_ent_id) {
    displayHtmlHeader( _("Message Details Rfc822"), '', FALSE );
} else {
    displayHtmlHeader( _("Printer Friendly"), '', FALSE );
}

echo '<script language="javascript" type="text/javascript" src="'.$base_uri.'js/new_window.js"></script>'."\n";

echo "<frameset rows=\"50, *\" noresize border=\"0\">\n".
     '<frame src="'.$base_uri.'src/printer_friendly_top.php?passed_ent_id='. urlencode($passed_ent_id) . 
		'&mailbox=' . urlencode($mailbox) .'&patermailbox='.$patermailbox.'&startMessage='.$startMessage.
    		'&search='.$search.'&passed_id=' . $passed_id .'" name="top_frame" scrolling="yes" />'.
     '<frame src="'.$base_uri.'src/printer_friendly_bottom.php?passed_ent_id='. urlencode($passed_ent_id) . 
		'&mailbox=' . urlencode($mailbox) .'&startMessage='.$startMessage.
    		'&passed_id=' . $passed_id .'" name="bottom_frame" scrolling="yes"/>'.
     "\n</frameset>\n".
     "</html>\n";
?>
